import java.awt.EventQueue;

import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JButton;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import javax.swing.JTextField;
import javax.swing.JTextPane;
import java.awt.Color;
import javax.swing.SwingConstants;
import javax.swing.JPanel;

public class BlackJackGame {

	private JFrame frame;
	private JTextField textField;
	private JTextField txtTableDeBlackjack;

	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					BlackJackGame window = new BlackJackGame();
					window.frame.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
		
		Tour tour1 = new Tour();
		Joueur j1 = new Joueur("Ilan",100);
		Joueur j2 = new Joueur("Nico",200);
		tour1.addJoueur(j1);
		tour1.addJoueur(j2);
		
		
		
	}
	
	/**
	 * Create the application.
	 */
	public BlackJackGame() {
		initialize();
	}

	/**
	 * Initialize the contents of the frame.
	 */
	private void initialize() {
		frame = new JFrame();
		frame.setBounds(100, 100, 990, 846);
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		frame.getContentPane().setLayout(null);
		
		JLabel lblCroupier = new JLabel("Croupier");
		lblCroupier.setBounds(427, 16, 61, 16);
		frame.getContentPane().add(lblCroupier);
		
		JLabel lblCartesCroupier = new JLabel("Cartes croupier");
		lblCartesCroupier.setBounds(404, 57, 96, 16);
		frame.getContentPane().add(lblCartesCroupier);
		
		JLabel lblJoueur1 = new JLabel("joueur 1");
		lblJoueur1.setBounds(107, 479, 61, 16);
		frame.getContentPane().add(lblJoueur1);
		
		JLabel lblJoueur2 = new JLabel("Joueur 2");
		lblJoueur2.setBounds(429, 463, 61, 16);
		frame.getContentPane().add(lblJoueur2);
		
		JLabel lblJoueur3 = new JLabel("Joueur 3");
		lblJoueur3.setBounds(861, 463, 61, 16);
		frame.getContentPane().add(lblJoueur3);
		
		JLabel lblMain1 = new JLabel("Main 1");
		lblMain1.setBounds(107, 306, 61, 16);
		frame.getContentPane().add(lblMain1);
		
		JLabel lblMain2 = new JLabel("Main 2");
		lblMain2.setBounds(429, 306, 61, 16);
		frame.getContentPane().add(lblMain2);
		
		JLabel lblMain3 = new JLabel("Main 3");
		lblMain3.setBounds(873, 306, 61, 16);
		frame.getContentPane().add(lblMain3);
		
		JButton btnHit = new JButton("Hit");
		btnHit.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
			}
		});
		btnHit.setBounds(6, 561, 75, 29);
		frame.getContentPane().add(btnHit);
		
		JButton btnPass = new JButton("Pass");
		btnPass.setBounds(93, 561, 75, 29);
		frame.getContentPane().add(btnPass);
		
		textField = new JTextField();
		textField.setBounds(66, 523, 130, 26);
		frame.getContentPane().add(textField);
		textField.setColumns(10);
		
		JLabel lblMise = new JLabel("Mise : ");
		lblMise.setBounds(20, 528, 41, 16);
		frame.getContentPane().add(lblMise);
		
		JLabel lblReserve = new JLabel("Reserve");
		lblReserve.setBounds(69, 654, 61, 16);
		frame.getContentPane().add(lblReserve);
		
		txtTableDeBlackjack = new JTextField();
		txtTableDeBlackjack.setHorizontalAlignment(SwingConstants.TRAILING);
		txtTableDeBlackjack.setText("Table de Blackjack \nde 3 joueurs.\n");
		txtTableDeBlackjack.setBounds(730, 31, 230, 68);
		frame.getContentPane().add(txtTableDeBlackjack);
		txtTableDeBlackjack.setColumns(10);
		
		JPanel panelCroupier_1 = new JPanel();
		panelCroupier_1.setBounds(316, 85, 113, 126);
		frame.getContentPane().add(panelCroupier_1);
		
		JPanel panelMain1_1 = new JPanel();
		panelMain1_1.setBounds(17, 336, 113, 126);
		frame.getContentPane().add(panelMain1_1);
		
		JPanel panelMain1_2 = new JPanel();
		panelMain1_2.setBounds(142, 336, 113, 126);
		frame.getContentPane().add(panelMain1_2);
		
		JPanel panelCroupier_2 = new JPanel();
		panelCroupier_2.setBounds(468, 85, 113, 126);
		frame.getContentPane().add(panelCroupier_2);
	}
	
	

}
